> ## Documentation Index
> Fetch the complete documentation index at: https://docs.benzinga.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Movers

> Retrieves market movers data based on specified filters. Returns stocks that have moved significantly during the specified session and time range. Supports custom screener and movers queries for advanced filtering.

<ResponseExample>
  ```json Response (200 OK) theme={null}
  {
    "result": {
      "fromDate": "2026-01-14T16:00:00.000-05:00",
      "toDate": "2026-01-15T15:59:00.000-05:00",
      "snapTo": "[Snap id=1384473, date=2026-01-15T20:59:00.000Z]",
      "usePreviousClose": true,
      "gainers": [
        {
          "symbol": "SPHL",
          "price": 17.6,
          "change": 15.35,
          "changePercent": 682.22,
          "volume": "110157546",
          "close": 17.6,
          "companyName": "Springview Holdings",
          "averageVolume": 54118,
          "previousClose": 2.25,
          "marketCap": "3717459",
          "gicsSectorName": "Consumer Discretionary",
          "shareFloat": "627204",
          "isin": "KYG837611170"
        },
        {
          "symbol": "CJMB",
          "price": 4.23,
          "change": 3.11,
          "changePercent": 277.67,
          "volume": "192332880",
          "close": 4.23,
          "companyName": "Callan Jmb",
          "averageVolume": 38277,
          "previousClose": 1.12,
          "marketCap": "5177790",
          "gicsSectorName": "Industrials",
          "shareFloat": "1412527",
          "isin": "US1311001093"
        },
        {
          "symbol": "MLEC",
          "price": 7.48,
          "change": 3.95,
          "changePercent": 111.89,
          "volume": "9590059",
          "close": 7.48,
          "companyName": "Moolec Science",
          "averageVolume": 38513,
          "previousClose": 3.53,
          "marketCap": "2563193",
          "gicsSectorName": "Consumer Staples",
          "shareFloat": "573192",
          "isin": "KYG6223S1259"
        }
      ]
    }
  }
  ```
</ResponseExample>


## OpenAPI

````yaml /openapi/data-api-proxy_api.spec.yml GET /api/v1/market/movers
openapi: 3.0.0
info:
  contact: {}
  description: >-
    This REST API provides endpoints to search for fundamentals and get
    fundamental details.
  termsOfService: http://swagger.io/terms/
  title: Data API Proxy
  version: 2.0.0
servers:
  - url: https://api.benzinga.com
    description: PROD
security: []
paths:
  /api/v1/market/movers:
    get:
      tags:
        - Market Data
      summary: Market Movers
      description: >-
        Retrieves market movers data based on specified filters. Returns stocks
        that have moved significantly during the specified session and time
        range. Supports custom screener and movers queries for advanced
        filtering.
      operationId: get-movers
      parameters:
        - description: >-
            Maximum number of results to return. Controls the size of the
            response.
          in: query
          name: maxResults
          schema:
            type: integer
        - description: >-
            Start date/time for the movers data. Format: YYYY-MM-DD or
            YYYY-MM-DDTHH:MM:SS
          in: query
          name: from
          schema:
            type: string
        - description: >-
            End date/time for the movers data. Format: YYYY-MM-DD or
            YYYY-MM-DDTHH:MM:SS
          in: query
          name: to
          schema:
            type: string
        - description: >-
            Trading session to filter movers. Examples: PRE_MARKET, REGULAR,
            AFTER_MARKET
          in: query
          name: session
          schema:
            type: string
        - description: >-
            Custom screener query string for filtering securities based on
            specific criteria
          in: query
          name: screenerQuery
          schema:
            type: string
        - description: >-
            Custom movers query string for defining specific movement patterns
            or thresholds
          in: query
          name: moversQuery
          schema:
            type: string
      responses:
        '200':
          description: Market movers data
          content:
            application/json:
              schema:
                type: object
        '400':
          description: Bad request - invalid parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/bzhttp.Resp'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
      security:
        - ApiKeyAuth: []
components:
  schemas:
    bzhttp.Resp:
      properties:
        data:
          additionalProperties: true
          type: object
        errors:
          items:
            $ref: '#/components/schemas/bzhttp.Error'
          type: array
        ok:
          type: boolean
      type: object
    bzhttp.Error:
      properties:
        code:
          $ref: '#/components/schemas/bzhttp.ErrorCode'
        id:
          type: string
        value:
          type: string
      type: object
    bzhttp.ErrorCode:
      enum:
        - unsupported_message_type
        - database_query_error
        - json_unmarshaling_error
        - no_data_found
        - no_matching_endpoint
        - bad_request
        - db_error
        - internal_server_error
        - auth_failed
        - forbidden
        - failed_dependency
        - service_unavailable
        - upstream_api_error
      type: string
      x-enum-varnames:
        - ErrorUnsupportedMessageType
        - ErrorDBQueryError
        - ErrorJSONUnmarshaling
        - ErrorNoDataFound
        - ErrorNoMatchingEndpoint
        - ErrorBadRequest
        - ErrorDBError
        - ErrorInternalServerError
        - ErrorAuthFailed
        - ErrorForbidden
        - ErrorFailedDependency
        - ErrorServiceUnavailable
        - ErrorUpstreamAPIError
  securitySchemes:
    ApiKeyAuth:
      in: query
      name: token
      type: apiKey

````